> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the mTLS certificate for an API Client



## OpenAPI

````yaml /uapi.yaml post /api_clients/{apiClientId}/certificate
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /api_clients/{apiClientId}/certificate:
    parameters:
      - name: apiClientId
        in: path
        schema:
          type: string
        required: true
    post:
      tags:
        - api_clients
      summary: Set the mTLS certificate for an API Client
      operationId: setMtlsCertificate
      requestBody:
        description: The certificate to use for validating mTLS connections
        content:
          application/json:
            schema:
              type: object
              required:
                - certificateId
              properties:
                certificateId:
                  type: string
                  format: uuid
      responses:
        '200':
          description: The updated API Client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiClient'
        '400':
          description: Invalid Certificate
        '404':
          description: API Client not found
components:
  schemas:
    ApiClient:
      type: object
      required:
        - id
        - identifier
        - name
        - customerId
      properties:
        id:
          type: string
          format: uuid
        identifier:
          type: string
          minLength: 32
          maxLength: 32
        name:
          type: string
        customerId:
          type: string
          format: uuid
        certificateId:
          type: string
          format: uuid

````